Skip to main content
`Ctrl`+`K`

# MatLMVMSymBroydenScaleType

Rescaling type for the initial Hessian of a symmetric Broyden matrix.

## Synopsis

    typedef enum {
      MAT_LMVM_SYMBROYDEN_SCALE_NONE     = 0,
      MAT_LMVM_SYMBROYDEN_SCALE_SCALAR   = 1,
      MAT_LMVM_SYMBROYDEN_SCALE_DIAGONAL = 2,
      MAT_LMVM_SYMBROYDEN_SCALE_USER     = 3,
      MAT_LMVM_SYMBROYDEN_SCALE_DECIDE   = 4
    } MatLMVMSymBroydenScaleType;

## Values

- `MAT_LMVM_SYMBROYDEN_SCALE_NONE` - no rescaling

- `MAT_LMVM_SYMBROYDEN_SCALE_SCALAR` - scalar rescaling

- `MAT_LMVM_SYMBROYDEN_SCALE_DIAGONAL` - diagonal rescaling

- `MAT_LMVM_SYMBROYDEN_SCALE_USER` - same as `MAT_LMVM_SYMBROYDN_SCALE_NONE`

- `MAT_LMVM_SYMBROYDEN_SCALE_DECIDE` - let PETSc decide rescaling

## See Also

Matrices, `MatLMVM`, `MatLMVMSymBroydenSetScaleType()`

## Level

intermediate

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages